package com.cool.store.mapper;

import com.cool.store.entity.HyInspectionDO;
import com.cool.store.request.GetInterviewInspectionListReq;
import com.cool.store.request.GetInterviewInspectionResultListReq;
import com.cool.store.vo.interview.InterviewInspectionHistoryInfo;
import com.cool.store.vo.interview.InterviewInspectionInfo;
import com.cool.store.vo.interview.InterviewInspectionResultVO;
import com.cool.store.vo.interview.InterviewInspectionVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface HyInspectionMapper {
    int deleteByPrimaryKey(Long id);

    int insert(HyInspectionDO record);

    int insertSelective(HyInspectionDO record);

    HyInspectionDO selectByPrimaryKey(Long id);

    HyInspectionDO selectByInterviewPlanId(Long interviewPlanId);

    int updateByPrimaryKeySelective(HyInspectionDO record);

    int updateByPrimaryKey(HyInspectionDO record);

    List<InterviewInspectionVO> interviewInspectionGetList(GetInterviewInspectionListReq request);


    List<InterviewInspectionVO> interviewInspectionGetProvinceList(GetInterviewInspectionListReq request);

    InterviewInspectionInfo interviewInspectionGetDetail(@Param("id") Long id);


    List<InterviewInspectionResultVO> interviewInspectionResultGetList(GetInterviewInspectionResultListReq request);

    List<InterviewInspectionResultVO> interviewInspectionResultGetProvinceList(GetInterviewInspectionResultListReq setUserId);

}